BrokerContainer (ActiveMQ 1.1 API)
Keywords: org.codehaus.activemq.broker.BrokerContainer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.activemq.broker
Interface BrokerContainer

All Superinterfaces:
  Service

All Known Implementing Classes:
  BrokerContainerImpl

public interface BrokerContainer
extends Service

The ActiveMQ JMS Broker Container which contains a `Broker` and one or more instances talking over some `TransportChannel`

Note that once a broker container has been stopped it should be discarded and a new service instance created again. Calling start() on a stopped broker will not usually work.

Version:
  $Revision: 1.9 $

Method Summary
`void` | `acknowledgeMessage(BrokerClient client, MessageAck ack)` Acknowledge reciept of a message
`void` | `acknowledgeTransactedMessage(BrokerClient client, String transactionId, MessageAck ack)` Acknowledge receipt of a message within a transaction context
`void` | `addConnector(BrokerConnector connector)` Called when a new connector is added to this container
`void` | `addConnector(String bindAddress)` Adds a new transport connector for the given bind address
`void` | `addConnector(String bindAddress, WireFormat wireFormat)` Adds a new transport connector for the given bind address and wire format
`void` | `addConnector(TransportServerChannel transportConnector)` Adds a new transport connector for the given transportConnector
`NetworkConnector` | `addNetworkConnector()` Adds a new network connector
`void` | `addNetworkConnector(NetworkConnector connector)` Adds a new network connector
`NetworkConnector` | `addNetworkConnector(String uri)` Adds a new network connector for the given URI
`void` | `commitTransaction(BrokerClient client, ActiveMQXid xid, boolean onePhase)` Commit an XA transaction.
`void` | `commitTransaction(BrokerClient client, String transactionId)` Commit a transaction
`void` | `deregisterConnection(BrokerClient client, ConnectionInfo info)` un-registers a Connection
`void` | `deregisterMessageConsumer(BrokerClient client, ConsumerInfo info)` De-register a MessageConsumer from the Broker
`void` | `deregisterMessageProducer(BrokerClient client, ProducerInfo info)` De-register a MessageProducer from the Broker
`void` | `deregisterSession(BrokerClient client, SessionInfo info)` De-register a client-side Session from the Broker (used for monitoring)
`void` | `durableUnsubscribe(BrokerClient client, DurableUnsubscribe ds)` Command to delete a durable topic subscription
`Broker` | `getBroker()`
`DiscoveryAgent` | `getDiscoveryAgent()` Returns the discovery agent if one is available or null if discovery is not enabled
`List` | `getNetworkConnectors()` Returns a list of `NetworkConnector` instances used to communicate with the network of `Broker` instances
`PersistenceAdapter` | `getPersistenceAdapter()` Returns the persistence adapter
`ActiveMQXid[]` | `getPreparedTransactions(BrokerClient client)` Gets the prepared XA transactions.
`SecurityAdapter` | `getSecurityAdapter()` Returns the security adapter used to authenticate and authorize access to JMS resources
`List` | `getTransportConnectors()` Returns the transport connectors used to communicate with clients
`int` | `prepareTransaction(BrokerClient client, ActiveMQXid xid)` Prepare an XA transaction.
`void` | `registerConnection(BrokerClient client, ConnectionInfo info)` registers a new Connection
`void` | `registerMessageConsumer(BrokerClient client, ConsumerInfo info)` Registers a MessageConsumer
`void` | `registerMessageProducer(BrokerClient client, ProducerInfo info)` Registers a MessageProducer
`void` | `registerSession(BrokerClient client, SessionInfo info)` Register a client-side Session (used for Monitoring)
`void` | `removeConnector(BrokerConnector connector)` Called when a connector is removed to this container
`void` | `removeNetworkConnector(NetworkConnector connector)` Removes the given network connector
`void` | `rollbackTransaction(BrokerClient client, ActiveMQXid xid)` Rollback an XA transaction.
`void` | `rollbackTransaction(BrokerClient client, String transactionId)` Rollback a transacton
`void` | `sendMessage(BrokerClient client, ActiveMQMessage message)` Send a non-transacted message to the Broker
`void` | `sendTransactedMessage(BrokerClient client, String transactionId, ActiveMQMessage message)` send message with a transaction context
`void` | `setDiscoveryAgent(DiscoveryAgent discoveryAgent)`
`void` | `setNetworkConnectors(List networkConnectors)`
`void` | `setPersistenceAdapter(PersistenceAdapter persistenceAdapter)`
`void` | `setSecurityAdapter(SecurityAdapter securityAdapter)` Sets the security adapter used to authenticate and authorize access to JMS resources
`void` | `setTransportConnectors(List transportConnectors)`
`void` | `startTransaction(BrokerClient client, ActiveMQXid xid)` Start an XA transaction.
`void` | `startTransaction(BrokerClient client, String transactionId)` Start a transaction from the Client session

Methods inherited from interface org.codehaus.activemq.service.Service
`start, stop`

Method Detail

### registerConnection

    public void registerConnection(BrokerClient client,
                                   ConnectionInfo info)
                            throws JMSException

  registers a new Connection

  Parameters:
    `client` -
    `info` - infomation about the client-side Connection
  Throws:
    `InvalidClientIDException` - if the ClientID of the Connection is a duplicate
    `JMSException`

### deregisterConnection

    public void deregisterConnection(BrokerClient client,
                                     ConnectionInfo info)
                              throws JMSException

  un-registers a Connection

  Parameters:
    `client` -
    `info` - infomation about the client-side Connection
  Throws:
    `JMSException`

### registerMessageConsumer

    public void registerMessageConsumer(BrokerClient client,
                                        ConsumerInfo info)
                                 throws JMSException

  Registers a MessageConsumer

  Parameters:
    `client` -
    `info` -
  Throws:
    `JMSException`
    `JMSSecurityException` - if client authentication fails for the Destination the Consumer applies for

### deregisterMessageConsumer

    public void deregisterMessageConsumer(BrokerClient client,
                                          ConsumerInfo info)
                                   throws JMSException

  De-register a MessageConsumer from the Broker

  Parameters:
    `client` -
    `info` -
  Throws:
    `JMSException`

### registerMessageProducer

    public void registerMessageProducer(BrokerClient client,
                                        ProducerInfo info)
                                 throws JMSException

  Registers a MessageProducer

  Parameters:
    `client` -
    `info` -
  Throws:
    `JMSException`
    `JMSSecurityException` - if client authentication fails for the Destination the Consumer applies for

### deregisterMessageProducer

    public void deregisterMessageProducer(BrokerClient client,
                                          ProducerInfo info)
                                   throws JMSException

  De-register a MessageProducer from the Broker

  Parameters:
    `client` -
    `info` -
  Throws:
    `JMSException`

### registerSession

    public void registerSession(BrokerClient client,
                                SessionInfo info)
                         throws JMSException

  Register a client-side Session (used for Monitoring)

  Parameters:
    `client` -
    `info` -
  Throws:
    `JMSException`

### deregisterSession

    public void deregisterSession(BrokerClient client,
                                  SessionInfo info)
                           throws JMSException

  De-register a client-side Session from the Broker (used for monitoring)

  Parameters:
    `client` -
    `info` -
  Throws:
    `JMSException`

### startTransaction

    public void startTransaction(BrokerClient client,
                                 String transactionId)
                          throws JMSException

  Start a transaction from the Client session

  Parameters:
    `client` -
    `transactionId` -
  Throws:
    `JMSException`

### rollbackTransaction

    public void rollbackTransaction(BrokerClient client,
                                    String transactionId)
                             throws JMSException

  Rollback a transacton

  Parameters:
    `client` -
    `transactionId` -
  Throws:
    `JMSException`

### commitTransaction

    public void commitTransaction(BrokerClient client,
                                  String transactionId)
                           throws JMSException

  Commit a transaction

  Parameters:
    `client` -
    `transactionId` -
  Throws:
    `JMSException`

### sendTransactedMessage

    public void sendTransactedMessage(BrokerClient client,
                                      String transactionId,
                                      ActiveMQMessage message)
                               throws JMSException

  send message with a transaction context

  Parameters:
    `client` -
    `transactionId` -
    `message` -
  Throws:
    `JMSException`

### acknowledgeTransactedMessage

    public void acknowledgeTransactedMessage(BrokerClient client,
                                             String transactionId,
                                             MessageAck ack)
                                      throws JMSException

  Acknowledge receipt of a message within a transaction context

  Parameters:
    `client` -
    `transactionId` -
    `ack` -
  Throws:
    `JMSException`

### sendMessage

    public void sendMessage(BrokerClient client,
                            ActiveMQMessage message)
                     throws JMSException

  Send a non-transacted message to the Broker

  Parameters:
    `client` -
    `message` -
  Throws:
    `JMSException`

### acknowledgeMessage

    public void acknowledgeMessage(BrokerClient client,
                                   MessageAck ack)
                            throws JMSException

  Acknowledge reciept of a message

  Parameters:
    `client` -
    `ack` -
  Throws:
    `JMSException`

### durableUnsubscribe

    public void durableUnsubscribe(BrokerClient client,
                                   DurableUnsubscribe ds)
                            throws JMSException

  Command to delete a durable topic subscription

  Parameters:
    `client` -
    `ds` -
  Throws:
    `JMSException`

### startTransaction

    public void startTransaction(BrokerClient client,
                                 ActiveMQXid xid)
                          throws XAException

  Start an XA transaction.

  Parameters:
    `client` -
    `xid` -
  Throws:
    `XAException`

### getPreparedTransactions

    public ActiveMQXid[] getPreparedTransactions(BrokerClient client)
                                          throws XAException

  Gets the prepared XA transactions.

  Parameters:
    `client` -
  Returns:
  Throws:
    `XAException`

### prepareTransaction

    public int prepareTransaction(BrokerClient client,
                                  ActiveMQXid xid)
                           throws XAException

  Prepare an XA transaction.

  Parameters:
    `client` -
    `xid` -
  Throws:
    `XAException`

### rollbackTransaction

    public void rollbackTransaction(BrokerClient client,
                                    ActiveMQXid xid)
                             throws XAException

  Rollback an XA transaction.

  Parameters:
    `client` -
    `xid` -
  Throws:
    `XAException`

### commitTransaction

    public void commitTransaction(BrokerClient client,
                                  ActiveMQXid xid,
                                  boolean onePhase)
                           throws XAException

  Commit an XA transaction.

  Parameters:
    `client` -
    `xid` -
    `onePhase` -
  Throws:
    `XAException`

### addConnector

    public void addConnector(BrokerConnector connector)

  Called when a new connector is added to this container

  Parameters:
    `connector` -

### removeConnector

    public void removeConnector(BrokerConnector connector)

  Called when a connector is removed to this container

  Parameters:
    `connector` -

### getBroker

    public Broker getBroker()

  Returns:
    the Broker for the Container

### getTransportConnectors

    public List getTransportConnectors()

  Returns the transport connectors used to communicate with clients

### setTransportConnectors

    public void setTransportConnectors(List transportConnectors)

### getNetworkConnectors

    public List getNetworkConnectors()

  Returns a list of `NetworkConnector` instances used to communicate with the network of `Broker` instances

### setNetworkConnectors

    public void setNetworkConnectors(List networkConnectors)

### getPersistenceAdapter

    public PersistenceAdapter getPersistenceAdapter()

  Returns the persistence adapter

### setPersistenceAdapter

    public void setPersistenceAdapter(PersistenceAdapter persistenceAdapter)

### getDiscoveryAgent

    public DiscoveryAgent getDiscoveryAgent()

  Returns the discovery agent if one is available or null if discovery is not enabled

### setDiscoveryAgent

    public void setDiscoveryAgent(DiscoveryAgent discoveryAgent)

### getSecurityAdapter

    public SecurityAdapter getSecurityAdapter()

  Returns the security adapter used to authenticate and authorize access to JMS resources

### setSecurityAdapter

    public void setSecurityAdapter(SecurityAdapter securityAdapter)

  Sets the security adapter used to authenticate and authorize access to JMS resources

### addNetworkConnector

    public NetworkConnector addNetworkConnector(String uri)

  Adds a new network connector for the given URI

### addNetworkConnector

    public NetworkConnector addNetworkConnector()

  Adds a new network connector

  Returns:
    the newly created network connector

### addNetworkConnector

    public void addNetworkConnector(NetworkConnector connector)

  Adds a new network connector

### removeNetworkConnector

    public void removeNetworkConnector(NetworkConnector connector)

  Removes the given network connector

### addConnector

    public void addConnector(String bindAddress)
                      throws JMSException

  Adds a new transport connector for the given bind address

  Throws:
    `JMSException`

### addConnector

    public void addConnector(String bindAddress,
                             WireFormat wireFormat)
                      throws JMSException

  Adds a new transport connector for the given bind address and wire format

  Throws:
    `JMSException`

### addConnector

    public void addConnector(TransportServerChannel transportConnector)

  Adds a new transport connector for the given transportConnector

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Protique, Ltd.. All Rights Reserved.